blob_id stringlengths 40 40 | language stringclasses 1
value | repo_name stringlengths 4 115 | path stringlengths 2 970 | src_encoding stringclasses 28
values | length_bytes int64 31 5.38M | score float64 2.52 5.28 | int_score int64 3 5 | detected_licenses listlengths 0 161 | license_type stringclasses 2
values | text stringlengths 31 5.39M | download_success bool 1
class |
|---|---|---|---|---|---|---|---|---|---|---|---|
5018fe697688d81761c736adae30763068abdd16 | Shell | weakish/csharp-sdk | /script/package.sh | UTF-8 | 789 | 2.78125 | 3 | [
"MIT"
] | permissive | #!/bin/sh
pack() {
local path=$1;
local dir=$2;
local output=$3;
mkdir $dir
rsync -avz $path $dir
zip -r $output $dir
rm -r $dir
}
# Storage
pack ./Storage/Storage/bin/Release/netstandard2.0/ ./DLLs LeanCloud-SDK-Storage-Standard.zip
pack ./Storage/Storage-Unity/bin/Release/netstandard2.0/... | true |
13909ca8d2434cb7339cf29aa6993b92f66d3168 | Shell | gentoo/releng | /releases/scripts/cloud-prep.sh | UTF-8 | 2,650 | 2.921875 | 3 | [] | no_license | #!/bin/bash
# Set timezone
echo 'UTC' > /etc/timezone
# Set locale
echo 'en_US.UTF-8 UTF-8' >> /etc/locale.gen
echo 'en_US ISO-8859-1' >> /etc/locale.gen
locale-gen -q
eselect locale set en_US.utf8
# Some rootfs stuff
grep -v rootfs /proc/mounts > /etc/mtab
# This is set in rackspaces prep, might help us
echo 'net.... | true |
1c10d673762ed9ad098a6c6f4a0f55fc819f6f15 | Shell | jrmarino/libnvpair | /test-libnvpair_json/json_07_nested_arrays.ksh | UTF-8 | 1,888 | 2.796875 | 3 | [] | no_license | #!/usr/local/bin/ksh93
#
# This file and its contents are supplied under the terms of the
# Common Development and Distribution License ("CDDL"), version 1.0.
# You may only use this file in accordance with the terms of version
# 1.0 of the CDDL.
#
# A full copy of the text of the CDDL should have accompanied this
# so... | true |
8006fca7f468033b034b221ce5eafdb87ff3c052 | Shell | ian47vr/penislicker420 | /cowfc.sh | UTF-8 | 20,023 | 4.03125 | 4 | [] | no_license | #!/bin/bash
DISCONTINUED="false"
if [ $DISCONTINUED="true" ] ; then
echo "Sorry, but this script has been discontinued. Please use the installer at https://github.com/EnergyCube/dwc_network_installer instead."
exit 1
fi
echo "##### WARNING!!!!! ##### - Recently, Wiimmfi has undergone some changes which makes it so th... | true |
cd0ce8874c5e15c8716dfe6a90ef3ab652a7e22b | Shell | apbarrero/gmockbuild | /gmockbuild.sh | UTF-8 | 2,511 | 4.21875 | 4 | [] | no_license | #!/bin/bash
# Configuration
os=$(uname -s)
case $os in
"Darwin")
lib_suffix="dylib"
;;
"Linux")
lib_suffix="so"
;;
?)
echo "Platform $os not supported"
exit 1
;;
esac
# Defaults
gmock_version='1.7.0'
workdir=$(mktemp -d /tmp/tmp.XXXXX)
prefix=/usr/lo... | true |
58b0f96aba627508932a97e228c6f836836a2876 | Shell | vixtor-qm/utility-scripts | /restartGPU.sh | UTF-8 | 215 | 2.765625 | 3 | [] | no_license | #! /bin/sh
# Workaround for not working nvidia cuda after suspend
# check which process uses driver currently
lsof | grep nvidia.uvm
#case $1 in
# resume|thaw)
rmmod nvidia_uvm
modprobe nvidia_uvm
#;;
#esac | true |
7d846ddc84c58fcc2e9279ed008004e0ec217e24 | Shell | hengne/UFHiggsPattuplizer13TeV | /Utilities/make_grid.sh | UTF-8 | 482 | 3.46875 | 3 | [] | no_license | #!/bin/bash
GO=0; if [[ "$1" == "--go" ]]; then GO=1; shift; fi
if [ -z "$1" ]; then
echo "Please pass an input directory!"
exit 1;
fi
inputDir=$1; shift;
cd ${inputDir}
for d in $(ls .)
do
cd $d
n=$(ls -1 crab_* | wc -l)
if [[ "$n" == "0" ]]; then
if [[ "$GO" == "1" ]]; then crab -cfg cr... | true |
cc4878589fc7ce4b96784cb022aee713a3f3d7ef | Shell | kentron/exp | /bin/pclo | UTF-8 | 242 | 3.546875 | 4 | [] | no_license | #!/bin/sh
PID_FILE=$1
PID=$(cat ${PID_FILE})
children_of () {
PID=$1
pgrep -P $PID
}
children_of_rec () {
PID=$1
for p in $(children_of $PID) ; do
echo $p
children_of_rec $p
done
}
children_of_rec $PID
| true |
6ced11fda81b2ddc83d9bd38f81475cfc72cc420 | Shell | tbzrawh/cloud-native-brewery | /appdynamics/appd_extensions/start-appd.sh | UTF-8 | 1,527 | 3 | 3 | [] | no_license | #!/bin/bash
if [ "${PERSONALITY}" == "local-apache" ]; then
mv /tmp/ApacheMonitor ${MACHINE_AGENT_HOME}monitors/
TIER=FrontendUI
fi
if [ "${PERSONALITY}" == "local-nginx" ]; then
mv /tmp/NginxMonitor ${MACHINE_AGENT_HOME}monitors/
TIER=AdminUI
fi
if [ "${PERSONALITY}" == "local-activemq" ]; then
... | true |
d3ade02579a72d77ad3984b80ad0ec74fb690990 | Shell | alex312/install-scripts | /base.sh | UTF-8 | 1,514 | 3.03125 | 3 | [] | no_license | #!/bin/bash
function install_x() {
if [ ! -d $HOME/bin ]; then
mkdir $HOME/bin
fi
echo '#!/bin/bash' >>$HOME/bin/x
echo '"$@" 1>/dev/null 2>&1 &' >>$HOME/bin/x
chmod +x $HOME/bin/x
}
command -v x >/dev/null 2>&1 || install_x
grep "alias ll=" $HOME/.bashrc >/dev/null
if [ $? -eq 0 ]; then
sed -i '/^alias ll=... | true |
85abda9981c9499d998e759bb97751e7a23610ab | Shell | askformore/b-dotfiles | /b-vim/vim.config/install-vim-for-docker.sh | UTF-8 | 2,330 | 3.59375 | 4 | [] | no_license | #!/bin/bash
# ====================================================
# Copyright (C)2015 All rights reserved.
#
# Author : bbxytl
# Email : bbxytl@gmail.com
# File Name : install-vim.sh
# Last Modified : 2015-10-30 14:54
# Describe :
#
# Log :
#
# ==========================... | true |
03fbd52f462c9aec6ded7fdda88e5d4028fd325e | Shell | isabella232/sigmod2014-contest-graphblas | /cpp/scripts/rebuild.sh | UTF-8 | 539 | 3.515625 | 4 | [
"Apache-2.0"
] | permissive | #!/usr/bin/env bash
# fail fast, echo command
set -e -x
# Build type: first argument, BUILD_TYPE env.var., "Release" (first existing option)
BUILD_TYPE=${1:-${BUILD_TYPE:-Release}}
BUILD_TYPE_LOWERCASE=$(echo $BUILD_TYPE | tr '[:upper:]' '[:lower:]')
PRINT_RESULTS=${PRINT_RESULTS:-1}
CPP_DIR=$(dirname "$0")/..
CMAKE_... | true |
82825b76ccf3d692bd382345609e92e450178203 | Shell | davidpengsun/Insight-AdFlow | /kafka/tmp/spawn_kafka_streams.sh | UTF-8 | 270 | 2.96875 | 3 | [] | no_license | #!/bin/bash
NUM_SPAWNS=$1
SESSION=$2
PRODUCER_DIR="/home/ubuntu/insight/kafka"
tmux new-session -s $SESSION -n bash -d
for ID in `seq 1 $NUM_SPAWNS`;
do
echo $ID
tmux new-window -t $ID
tmux send-keys -t $SESSION:$ID 'bash $PRODUCER_DIR/producer.sh' C-m
done
| true |
40abb39c7d09b7768356086d5328183a45b1dcb7 | Shell | terjr/nrfjprog.sh | /nrfjprog.sh | UTF-8 | 2,842 | 3.78125 | 4 | [] | no_license | #!/bin/bash
read -d '' USAGE <<- EOF
nrfprog.sh
This is a loose shell port of the nrfjprog.exe program distributed by Nordic,
which relies on JLinkExe to interface with the JLink hardware.
usage:
nrfjprog.sh action hexfile
where action is one of
--reset
--pin-reset
--erase-all
--flash
--flash-softdevice
... | true |
45f12e7268495038a22f6b133d03375303bfa7fd | Shell | aravindvnair99/Motorola-Moto-E-condor-unbrick | /Source Codes and Scripts/repack_ramdisk | UTF-8 | 337 | 3.484375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
# Repacks a ramdisk for use inside a boot.img
# Optionally taking an output to repack the ramdisk into.
if [ -z $1 ]
then
echo "Usage: repack_ramdisk <ramdiskDirectory> [outputFile]"
exit 0
fi
cd $1
find . | cpio -o -H newc | gzip > ../new-ramdisk.cpio.gz
if [ -z $2 ]
then
exit 0
else
mv ../new-ramdisk.... | true |
b479c8bf6e74daebf329758cd179b6f8efcf11db | Shell | elc1798/aptproxyget | /apt-proxy-get.sh | UTF-8 | 1,103 | 3.703125 | 4 | [] | no_license | #!/bin/bash
while getopts "carh" opt; do
case $opt in
c)
if [ -e "/etc/apt/apt.conf.d/01proxy" ]; then
echo "/etc/apt/apt.conf.d/01proxy exists."
echo "Contents: "
cat /etc/apt/apt.conf.d/01proxy
else
echo "/etc/apt/apt.conf.d/01proxy does not currently exist"
fi
;;
a)
... | true |
4e2471496358fdbf5d80e42f29601e2fd8ec0fa7 | Shell | 0intro/hare | /sys/src/cmd/uem/tests/bg_scale_run.rc | UTF-8 | 3,461 | 3.25 | 3 | [] | no_license | #!/bin/rc
#
# a UEM Scale Test Run
#
# to run on the BG:
# R_MAX=4 # or the max number of tasks
# rc bg_run 0xFFDFF
# 1 is for the BG
if(~ $#BG 0) BG=1
if(~ $BG 0) O=8
if(~ $BG 0) CMDPATH=$O.
if not CMDPATH=''
if(~ $#R_MIN 0) R_MIN=1
if(~ $#R_MAX 0){
if(~ $BG 1) R_MAX=1
if not R_MAX=8
}
#R_MAX=16
#R... | true |
c3092d0022059c5dd63283253e5038e2a9c22b04 | Shell | Ash515/turbinia | /tools/gcp_init/start-wrapper.sh | UTF-8 | 960 | 3.78125 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# To be run as root as a start up script. This does the minimum required to
# bootstrap copying the files from GCS and starting a Turbinia worker. It
# assumes that the virtualenv containing Turbinia, and the Turbinia config is
# already created and configured. Variables in this file and in
# start-tur... | true |
0fd540dffce86b73b734d725fbd176fcc5d878a1 | Shell | alay3168/XGTestProjects | /publish_shell/scripts/build_body.sh | UTF-8 | 681 | 3.421875 | 3 | [] | no_license | #!/bin/bash
source /etc/profile
function yellow_echo ()
{
local what=$*
echo -e "\e[1;33m-- ${what} \e[0m"
}
function green_echo ()
{
local what=$*
echo -e "\e[1;32m-- ${what} \e[0m"
}
function red_echo ()
{
local what=$*
echo -e "\e[1;31m-- ${what} \e[0m"
}
yell... | true |
fb236f8bd5310c5a48287345c9b19b163ce714a1 | Shell | hrionda/Basic-UNIX-Scripts | /SysAdminScripts/VirtualHostStep.bash | UTF-8 | 1,117 | 2.765625 | 3 | [] | no_license | #CentOS
#cat /root/hrion001.csv | cut -d, -f8 | sort -u > fruits.txt
CreateVirtualHost() {
touch /etc/httpd/conf.d/hrion001/$1.conf
mkdir /var/www/$1
cat<<EOF > /etc/httpd/conf.d/hrion001/$1.conf
Listen $2
<VirtualHost *:$2>
ServerName localhost
DocumentRoot /var/www/$1/
SSLEngine on
SSLCertificateFile ... | true |
b8091c2977dc78cbf8fd90100834f24f10eb509e | Shell | sushengyang/NLP | /Corpus + Training/main.sh | UTF-8 | 1,244 | 2.96875 | 3 | [] | no_license | #!/usr/bin/env bash
# This script uses the plaintext tweet data instead of converting the XML
# ones since the latter takes too long and may cause the file manager to
# become unresponsive due to the creation of >400,000 new files
# echo "Extracting corpus... "
# tar xvf data/corpus.tar.gz
# echo "Done."
# echo -n "... | true |
3650490e6e1f3182e02ad13169007a3787568a7e | Shell | gocom/dotfiles | /bin/timing | UTF-8 | 1,624 | 4.125 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
app_name="${0##*/}"
app_version="0.0.0"
usage () {
cat <<EOF
Time HTTP responses in seconds.
Usage:
$ $app_name [options] [benchmark|request] [sequences] <url>
Options:
-h, --help Print this message
-v, --version Print version number
Commands:
$ $app_name benchmark [sequences] <u... | true |
a3f37e62d05ad06c62719043434030a7cb0b762d | Shell | esimov/diagram | /watch | UTF-8 | 625 | 3.4375 | 3 | [
"MIT"
] | permissive | #!/bin/bash
unameOut="$(uname -s)"
case "${unameOut}" in
Linux*) machine=Linux;;
Darwin*) machine=Mac;;
CYGWIN*) machine=Cygwin;;
MINGW*) machine=MinGw;;
*) machine="UNKNOWN:${unameOut}"
esac
inotifywait -e close_write,moved_to,create -m ./output |
while read -r directory... | true |
18ec0d5b3cfc6e9bb8d54e569bf0268835b5c1dd | Shell | yusufgogus50/malfs-milis | /talimatname/temel-ek/kernel-lts/kernel-lts.kur-kos | UTF-8 | 393 | 2.953125 | 3 | [
"MIT"
] | permissive | #!/bin/bash
cd /boot
if [ -f kernel ];then
rm kernel
fi
yenimodul=`ls -Art /lib/modules/ | tail -n 1`
yenikernel=`ls -Art /boot/kernel* | tail -n 1`
modulno=`basename $yenimodul`
kernelno=`basename $yenikernel`
ln -s $kernelno kernel
if [ -f initramfs ];then
mv initramfs initramfs_eski
fi
dracut -N --force --xz --omi... | true |
2775b20ec956558d6988101b0c408698ca2ee6e7 | Shell | slaclab/cryoem-pipeline | /pipeline.sh | UTF-8 | 32,440 | 2.921875 | 3 | [
"MIT"
] | permissive | #!/bin/bash -e
# module loads for programs
IMOD_VERSION=${IMOD_VERSION:-4.10.42}
IMOD_LOAD="imod/${IMOD_VERSION}"
EMAN2_VERSION="20190603"
EMAN2_LOAD="eman2/${EMAN2_VERSION}"
MOTIONCOR2_VERSION=${MOTIONCOR2_VERSION:-1.2.3}
MOTIONCOR2_LOAD="motioncor2/${MOTIONCOR2_VERSION}"
#MOTIONCOR2_VERSION="1.2.2"
#MOTIONCOR2_LOAD=... | true |
34df817ad7c08d8f9894c0ed2e71cfb83bdb444f | Shell | atpathak/ATLAS | /Physics_Analysis/LFV_area/LFVlephad/share/script/git_all.sh | UTF-8 | 284 | 3.1875 | 3 | [] | no_license | #/bin/sh
(
n=$(ls Htt2016* 2>/dev/null | wc -l)
while [ $n == 0 ]
do
cd ..
n=$(ls Htt2016* 2>/dev/null | wc -l)
if [ $(pwd) == "/" ]; then echo "Cannot find Htt2016*"; exit 1 ;fi
done
for i in Htt2016*
do
echo "--- In $i"
( cd $i && git $* )
echo "---"
done
)
| true |
225b88e3c2d7f1428202eb499862df3050a1f50e | Shell | taherbohari/k8s-test | /beginner/deploy-ingress-controller | UTF-8 | 349 | 3 | 3 | [] | no_license | #!/bin/bash -e
INGRESS_NAME=${INGRESS_NAME:?"Please provide ingress controller name"}
echo -e "\n## Deploying Nginx Ingress Controller"
echo "# Add nginx helm repository"
helm repo add nginx-stable https://helm.nginx.com/stable
helm repo update
echo "# Installing nginx ingress controller"
helm install --name ${INGRES... | true |
f05e3c143f5a0db1b23e32841783677db6889075 | Shell | SaitoYoshiko/fibonacci | /linux-study/myfirst-shell/quiz.sh | UTF-8 | 265 | 3.125 | 3 | [] | no_license | !#/bin/bash
read -p "日本で二番目に高い山は槍ヶ岳でしょうか?[y/n]" answer
if [ $answer = "n" ]; then
echo "正解です! 日本で二番目に高い山は北岳です"
else
echo "残念! 日本で二番目に高い山は北岳です"
fi
| true |
2ca866f7f00014408531ad233d55d073bf0744e5 | Shell | JeffersonLab/alarms-filter | /scripts/list-filters.sh | UTF-8 | 812 | 2.890625 | 3 | [
"MIT"
] | permissive | #!/bin/bash
[ -z "$BOOTSTRAP_SERVERS" ] && echo "BOOTSTRAP_SERVERS environment required" && exit 1;
CWD=$(readlink -f "$(dirname "$0")")
APP_HOME=$CWD/..
FILTER_JAR=`ls $APP_HOME/lib/alarms-filter*`
CLIENTS_JAR=`ls $APP_HOME/lib/kafka-clients-*`
JACK_CORE=`ls $APP_HOME/lib/jackson-core-*`
JACK_BIND=`ls $APP_HOME/li... | true |
4b28f058e019aae857199afeb5e17487932c5ef5 | Shell | JosephBrendler/joetoo | /dev-util/joetoolkit/files/utility_archive/00_crypt_storage.start | UTF-8 | 1,473 | 3.484375 | 3 | [
"MIT"
] | permissive | #! /bin/bash
source /usr/local/sbin/script_header_brendlefly
VERBOSE=$TRUE
verbosity=3
# (To Do) check and (if necessary) start lagging encrypted storage
for x in $(blkid | grep -i luks | cut -d: -f1)
do
device="$x"
name=$(echo $device | sed 's:/dev/s:e:')
message_n "For device [${BYon}${device}${Boff}], crypt-... | true |
bfac36d74fa6e9465c45cb2d2d9d735965d7a15e | Shell | gentoo/genkernel | /defaults/unlock-zfs.sh | UTF-8 | 2,119 | 3.59375 | 4 | [] | no_license | #!/bin/sh
. /etc/initrd.defaults
. /etc/initrd.scripts
GK_INIT_LOG_PREFIX=${0}
if [ -n "${SSH_CLIENT_IP}" ] && [ -n "${SSH_CLIENT_PORT}" ]
then
GK_INIT_LOG_PREFIX="${0}[${SSH_CLIENT_IP}:${SSH_CLIENT_PORT}]"
fi
if [ -f "${ZFS_ENC_ENV_FILE}" ]
then
. "${ZFS_ENC_ENV_FILE}"
else
bad_msg "${ZFS_ENC_ENV_FILE} does not ... | true |
7a073e2aac8400eb22fc584ea99e1e7f996905c1 | Shell | argoproj/argo-cd | /test/remote/entrypoint.sh | UTF-8 | 274 | 3.046875 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -e
if test "$(id -u)" == "0" -a "${USER_ID}" != ""; then
useradd -u ${USER_ID} -d /home/user -s /bin/bash ${USER_NAME:-default}
chown -R "${USER_NAME:-default}" ${GOCACHE}
fi
export PATH=$PATH:/usr/local/go/bin:/go/bin
export GOROOT=/usr/local/go
"$@" | true |
5e038f60f08c55d48904cfcb3c398962d567cc78 | Shell | gphalkes/t3window | /testsuite/showtestdiff.sh | UTF-8 | 210 | 2.96875 | 3 | [] | no_license | #!/bin/bash
DIR="`dirname \"$0\"`"
. "$DIR"/_common.sh
if [ $# -eq 0 ] ; then
fail "Usage: showtestdiff.sh <test> [<subtest>]"
fi
setup_TEST "$1"
dwdiff -Pc -C3 $TEST/recording $TEST/recording.new
exit 0
| true |
0e88f3f5c0b5f9e1f6c6288111dc9d845024240f | Shell | novatakm/tool | /util/calc_datesubstr.sh | UTF-8 | 348 | 3.984375 | 4 | [] | no_license | #!/usr/bin/env bash
# function calc_date() {
# expr \( `date -d"$1" +%s` - `date -d"$2" +%s` \) / 86400
# }
function calc_date() {
expr \( $( date +%s --date "$1" ) - $( date +%s --date "$2" ) \) / 86400
}
function usage() {
echo "Usage: $(basename $0) datestr datestr"
exit 1
}
if [ $# -ne 2 ]; then
... | true |
6da2ebde1bd7225fc742200edf5f3a0b6eaca1fc | Shell | jatin-reglobe/material2 | /scripts/publish-npm.sh | UTF-8 | 679 | 4.1875 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# Script to publish the build artifacts to a npm repository.
# Builds will be automatically published once new changes are made to the repository.
set -e -o pipefail
# Go to the project root directory
cd $(dirname $0)/..
# Create a release of the current module.
. $(dirname $0)/build.sh
echo "St... | true |
29904989c5f8d4716710ba5c8a67d20f108a87a7 | Shell | davidherczeg/TourLoop | /deploy.sh | UTF-8 | 961 | 3.375 | 3 | [] | no_license | #!/bin/bash
# get production version of front end (if not uploaded already)
cd client
npm install && npm run build
cd ../
# skip this step by pre-downloading edmonton-OSM-data.xml into raw-data from:
# https://drive.google.com/drive/u/0/folders/1csxY4bgFG6Vt3tK8NuExde1NCZFQ3Dan
# get the original datafile
# if not al... | true |
77e851d834c9fb8afdd052e2310ffeef179ed324 | Shell | nadz-goldman/freeton-rustnode-ansible | /roles/monitoring_agent/files/scripts/ton-election-date.sh | UTF-8 | 898 | 3.390625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash -eE
# export ton environments
. ton-env.sh
ton-check-env.sh TON_CLI
ton-check-env.sh TON_CLI_CONFIG
get_election_date ()
{
ELECTIONS_START=$($TON_CLI -c $TON_CLI_CONFIG runget $ELECTOR_ADDR active_election_id | grep 'Result:' | sed 's/Result:[[:space:]]*//g' | tr -d \"[])
}
# rustcup have unique el... | true |
6ed568ed99e10ac2c8fbb85517dd1c8fbe5cac30 | Shell | Favorite-Icons-Of-Internet/Favorite-Icons-Of-Internet | /steps_1_and_2.sh | UTF-8 | 438 | 2.59375 | 3 | [] | no_license | #!/bin/bash
# step 1 - import latest alexa rankings
curl -s http://s3.amazonaws.com/alexa-static/top-1m.csv.zip | funzip > top-1m.csv
php step1.php < top-1m.csv
# step 2 - get all currently ranked domains and send jobs to the queue
rm -rf /tmp/.step2/
mkdir -p /tmp/.step2/
php step2.php | split -a 5 -l 1000 - /tmp/.s... | true |
290fbe784be13bdc774cccda1b9928b1736bcebf | Shell | nzvincent/nzvincent-github | /docker/migrate-docker-images/migrate-images.sh | UTF-8 | 1,278 | 3.625 | 4 | [] | no_license | #!/bin/bash
# This script create docker container / images tar files to be used to load into another docker host.
# Author: nzvincent@gmail.com | Vincent Pang
IMG=images.txt
CON=containers.txt
PS=ps-out.txt
LOG=log-migration.log
LOAD=load-script.txt
echo "" > ${LOAD}
docker images | tee ${IMG}
docker ps -as | tee ${... | true |
622904b5812b0d9ad228178996a3baf2f53f6c06 | Shell | liodopolus/scriptcol-current | /archiv/archiv-alpha/lftp_kde-4.sc | UTF-8 | 260 | 2.84375 | 3 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | #!/bin/sh
# getting KDE4-Source
VERSION=4.0.72
WDIR=kde-$VERSION
mkdir -p $WDIR
cd $WDIR
cat > scriptfile << !
lftp ftp://ftp.fu-berlin.de/pub/unix/X11/gui/kde/unstable \\
lftp -c mirror -n $VERSION .
!
lftp -f scriptfile
wait
rm scriptfile
echo "finished"
| true |
32359d6c3174f0ac42e3399304946dc448ba319b | Shell | electroducer/acholi4kaldi | /local/make_flists_swahili.sh | UTF-8 | 3,790 | 3.890625 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash -u
# Borrowed heavily from gp script of same name
set -o errexit
set -o pipefail
function read_dirname () {
local dir_name=`expr "X$1" : '[^=]*=\(.*\)'`;
[ -d "$dir_name" ] || { echo "Argument '$dir_name' not a directory" >&2; \
exit 1; }
local retval=`cd $dir_name 2>/dev/null && pwd || exit 1`... | true |
2e27356ed53f34c6b2366d4eef6aca81b1df6c7e | Shell | WSULib/combine-vm | /install_scripts/elasticsearch.sh | UTF-8 | 1,357 | 3.890625 | 4 | [
"MIT"
] | permissive | #!/bin/bash
echo "---- Installing Elasticsearch ------------------------------------------------"
#### GET ENVARS #################################################
SHARED_DIR=$1
if [ -f "$SHARED_DIR/config/envvars" ]; then
. $SHARED_DIR/config/envvars
printf "found your local envvars file. Using it."
else
. $... | true |
6f61bea7d3b5a95bf231be69775d4fd190c086a0 | Shell | chendo/oh-my-zsh | /modules/command-not-found/init.zsh | UTF-8 | 184 | 2.609375 | 3 | [
"MIT"
] | permissive | #
# Displays installation information for not found commands.
#
# Authors:
# Joseph Jon Booker <joe@neoturbine.net>
#
if [[ -f /etc/zsh_command_not_found ]]; then
source /etc/zsh_command_not_found
fi
| true |
2a09b31182ef9431ef918e6b207b5424283966b2 | Shell | benjamin-asdf/dotfiles-legacy | /home/.local/bin/team-cmd-scripts/install-team-cmd-scripts.sh | UTF-8 | 593 | 3.6875 | 4 | [] | no_license | #!/bin/sh
# run this ones to add this folder to your path.
# it will make it so you can run the scripts from anywhere
pwd | grep -q '\/TeamCommands\/scripts$' || (echo "Enter TeamCommand/scripts folder first." && exit 1)
printf "\nexport COSDIR=\"C:/ClashOfStreamers\"" >> "$HOME/.bashrc"
printf "\nPATH=\"\$PATH:%s\"... | true |
887692abc160f40c390db9e1f075b86382defc85 | Shell | Sanaqamar123/ProgramConstruct | /Array/arrayPrimeFactor.sh | UTF-8 | 259 | 3.859375 | 4 | [] | no_license | #!/bin/bash
declare -a value
value=()
echo "Enter number : "
read num
for (( i=2; i <= $num; i++ ))
do
if [ $(($num%$i)) -eq 0 ]
then
echo "Prime Factor of a $num is "$i
value+="$i "
fi
done
echo "Prime Factor of a $num in array is : "${value[@]}
| true |
c669eb52ef81070c0862f621f09d4d3f3a5564ae | Shell | quynhlab/KodeKloud_Tasks | /Tasks_21-30/TASK_26-Linux_Nginx_as_Reverse_Proxy.sh | UTF-8 | 73,471 | 3.609375 | 4 | [] | no_license |
-----------------------------------------------------------------------------------------------------------------
Start 2020-07-29 || 11:22 PM
Finished 2020-07-30 || 03:18 AM
-----------------------------------------------------------------------------------------------------------------
TASK 26 - Linux Nginx as... | true |
fa7c3e0a12d0ddc1c7f8e7cb0dc4fa0b87d552dd | Shell | petronny/aur3-mirror | /amule-adunanza/PKGBUILD | UTF-8 | 1,421 | 2.671875 | 3 | [] | no_license | # Mantainer: Federico 'baghera' Chiacchiaretta <federico.chia at gmail.com>
pkgname=amule-adunanza
pkgver=2010.1
_amulever=2.2.6
pkgrel=1
pkgdesc="An aMule version patched for use with Adunanza Network (Fastweb - Italy)"
url="http://amule-adunanza.sourceforge.net/"
license=('GPL')
arch=('i686' 'x86_64')
depends=('wxgt... | true |
06d90ed3fc02f7bd820a9f3deeb8e4682b35ee0d | Shell | solalsabbah/admsys_init | /scripts/03 | UTF-8 | 87 | 2.8125 | 3 | [] | no_license | #!/bin/bash
if [ $# -ne 1 ]
then
echo "Usage: ./03 <directory>"
exit 0
fi
ls -S $1
| true |
929da8b2dd146a50e0d0390305aec80e8aac4239 | Shell | Shreekkanth/RedHatToolsInstaller | /Ansible_Tower/Playbook_Examples/MONITORING/role_nagios_client-master/files/plugins/check_open_files | UTF-8 | 568 | 3.953125 | 4 | [
"LicenseRef-scancode-warranty-disclaimer"
] | no_license | #!/bin/bash
PLUGINDIR=$(dirname $0)
. $PLUGINDIR/utils.sh
path_SUDO=/bin/sudo
path_LSOF=/sbin/lsof
path_WC=/bin/wc
if [ -z "$1" ]; then
echo "Usage: $0 username"
echo "Username: Username to check for open files"
exit $STATE_UNKNOWN
else
USER=$1
fi
# Calculate open files for user
LSOF=$(path_SUDO $path_LSOF ... | true |
cf57558cce0a05f79e56bcd223f7a26b50d8eeab | Shell | Danas1/avm-docking-station-entrega | /bin/device_added.sh | UTF-8 | 2,328 | 3.8125 | 4 | [] | no_license | #!/bin/bash
AVMDIR="/mnt/AVM" #Directorio usado para montar AVM
BACKUPDIR="/home/pi/backups/" #Directorio usado para guardar los respaldos.
LOGDIR="/home/pi/dockingstation.log"
PIPECOMM="/home/pi/pipes/pipecomm"
PIPEUP="/home/pi/pipes/pipeup"
#SETUP PREVIO
#Checkear si existe el directorio donde el AVM sera montado.
... | true |
dc5fb53420cbfc5532924fac289413bcaed961cd | Shell | lancetipton/kegerator | /scripts/generateSSHKey.sh | UTF-8 | 821 | 3.375 | 3 | [] | no_license | #!/bin/bash
# Setup the paths for creating the ssh key
cd ~/
KEG_HOME=$(pwd)
KEG_KEY=keg-ssh
KEG_KEY_PATH=$KEG_HOME/.kegConfig/$KEG_KEY
# Create the key
# ssh-keygen -b 2048 -t rsa -f /tmp/keg-ssh -q -N ""
ssh-keygen -b 2048 -t rsa -f /tmp/$KEG_KEY -q -N ""
# Move the key into the .kegConfig directory
# mv /tmp/keg... | true |
a2bbb228e4e7daa6bfdf299ccd62b1cab5463aec | Shell | biofangyao/wanglab.code | /hisat2-lincRNA.script | UTF-8 | 3,871 | 2.65625 | 3 | [] | no_license | #!/bin/bash
#PBS -k o
#PBS -l nodes=1:ppn=8:dc,vmem=32gb,walltime=120:00:00
#PBS -M zhenyisong@gmail.com
#PBS -m abe
#PBS -N HISAT2
#PBS -j oe
#PBS -e /home/zhenyisong/data/cardiodata/SRP082390
#PBS -o /home/zhenyisong/data/cardiodata/SRP082390
##
## qsub /home/zhenyisong/data/wanglilab/wangcode/hisat2-lincRNA.scri... | true |
c8cb2b0e3d6eb8005977a87fc96f6fc4fa43fd52 | Shell | talhajilal/aws | /kernel_verificatio_script.sh | UTF-8 | 416 | 3.640625 | 4 | [] | no_license | echo " Please enter kernel version for comparison i.e"
echo "2.6.32-573.el6.x86_64"
read expected
received=$(uname -r)
exp_ver=${expected//\.el6.*/}
re_ver=${received//\.el6.*/}
echo $exp_ver
echo $ew_ver
if [ ${#re_ver} -lt ${#received} -a "$re_ver" '>' "$ex_ver" ]
then
echo "Installed Version is higher than Ex... | true |
73949acbfe2adac1b3eeebef218f93bec79d4d2b | Shell | luancheng12/checkinpanel | /api_json52toml.sh | UTF-8 | 578 | 2.75 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# shellcheck disable=SC2188
<<'COMMENT'
cron: 45 0-23/1 * * *
new Env('JSON5toTOML 工具');
COMMENT
json52toml() {
if [[ -f /ql/config/config.sh ]]; then
sed -i '/^RepoFileExtensions/c RepoFileExtensions="js pl py sh ts"' /ql/config/config.sh
ql repo https://github.com/Oreomeow/ch... | true |
0843d43b671f4450eef497cb151c5af098fbda37 | Shell | alexcstark/stark-dotfiles | /.zshrc | UTF-8 | 2,984 | 3.078125 | 3 | [] | no_license | # If you come from bash you might have to change your $PATH.
export PATH=$HOME/bin:/usr/local/bin:$PATH
export PATH=$JAVA_HOME/bin:$PATH
# Path to your oh-my-zsh installation.
export ZSH=$USER/.oh-my-zsh
# Set name of the theme to load --- if set to "random", it will
# load a random theme each time oh-my-zsh is loaded... | true |
cac11c43b1e884c19da79e8767939db05e734657 | Shell | FSMaxB/lfs-me-repos | /blfs-7.5/tcl-8.6.1 | UTF-8 | 1,367 | 3.265625 | 3 | [] | no_license | #!/bin/bash
pkgname=tcl
pkgver=8.6.1
pkgver_postfix=
sources=( "http://downloads.sourceforge.net/${pkgname}/${pkgname}${pkgver}-src.tar.gz"
"http://downloads.sourceforge.net/${pkgname}/${pkgname}${pkgver}-html.tar.gz")
sha1sums=( '5c83d44152cc0496cc0847a2495f659502a30e40'
'92d1315504cb8f03187fc271... | true |
c5f8fd7d1149bbf7321ec0b656e9d7a83cda5b18 | Shell | junho-falinux/docker-bsp | /install.sh | UTF-8 | 448 | 3.390625 | 3 | [] | no_license | #!/bin/sh
PACKAGE_NAME=bsp
echo "[*] Building docker image for ${PACKAGE_NAME}"
docker build -t ${PACKAGE_NAME} .
echo "[*] Copying runner script ~/bin"
mkdir -p ~/bin/
for RUNNER in runner/*
do
case $RUNNER in
runner/docker-runner*)
echo " = copy $RUNNER"
cp --remove-destination $RUNNER ~/b... | true |
79d00075e957e522cc218018f051411c299a4a7e | Shell | natuty/linux | /example/bash脚本/7章 条件结构/7-15.sh | GB18030 | 340 | 3.03125 | 3 | [] | no_license | #ʾű7-15.sh caseṹʹ
#! /bin/bash
echo -n һ:
read num
case $num in
1) echo ֵΪ1;;
2) echo ֵΪ2;;
3) echo ֵΪ3;;
4) echo ֵΪ4;;
5) echo ֵΪ5;;
*) echo ֵ5;;
esac
echo caseṹн
| true |
e49bb8328194cfeebd71c33318c22b6677321e90 | Shell | leohuang4977/tvb-ukbb | /bb_FS_pipeline/bb_FS_create_zip_packages.sh | UTF-8 | 720 | 3.140625 | 3 | [
"Apache-2.0"
] | permissive | #!/usr/bin/bash
#set -x
mkdir -p zips
mkdir -p logs_FS_zips
for elem in `cat subj.txt ` ; do
if [ -d $elem/FreeSurfer ] ; then
if [ ! -d $elem/FreeSurfer/unusable ] ; then
visit=`echo $elem | awk -F "" '{print $1}'`;
newName=`echo $elem | awk -F "" '{print $2$3$4$5$6$7$8}'`;
... | true |
eeed56b3ba416434800dfa9a703818751d8bb5bc | Shell | noetl/hadoop-tools | /provisioning-ec2/install-spark.sh | UTF-8 | 1,551 | 3.640625 | 4 | [] | no_license | #!/bin/bash
set -e
if [ $# -ne 2 ]; then
echo "Usage: ./install-spark.sh <json_conf_file> <master_host_name>"
exit -1
fi
json_conf_file=$1
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
. $DIR/export-conf.sh $json_conf_file
echo "yarn.nodemanager.resource.memory-mb ${yarn_mem}"
echo "spark.executor.memory... | true |
f67b1b261541451a2591ddce5408e1e13443b9d0 | Shell | alundiak/lanbash | /osx_defaults.sh | UTF-8 | 2,052 | 2.625 | 3 | [] | no_license | #!/bin/bash
#
# Script to contain useful Mac OS commands. Sometimes, I may use.
# Planned to have 2 modes: "Change all as I want" and "restore all I changed to default"
#
# http://osxdaily.com/2010/02/12/how-to-quit-the-finder/
defaults write com.apple.finder QuitMenuItem -bool true && killall Finder
# defaults write ... | true |
62eb9401775613638d4553ffee074c2d4f5e055c | Shell | click0/jinx | /modules/20-jinx-formatting.sh | UTF-8 | 1,542 | 2.71875 | 3 | [
"MIT"
] | permissive | #!/usr/bin/env bash
# Define colors and formats for making everything pretty.
COLOR_RED=`[[ $JINX_IS_GRUMPY -eq 1 ]] && echo "" || echo "\033[0;31m"`
# COLOR_RED_LIGHT=`[[ $JINX_IS_GRUMPY -eq 1 ]] && echo "" || echo "\033[1;31m"`
COLOR_GREEN=`[[ $JINX_IS_GRUMPY -eq 1 ]] && echo "" || echo "\033[0;32m"`
# COLOR_GREEN_... | true |
b8d24bc2778a9b8af11fafce23f5532870e0ea4e | Shell | xiongqi1/web | /db_apps/connection_mgr/score_connection.sh | UTF-8 | 1,058 | 3.46875 | 3 | [] | no_license | #!/bin/sh
WGET_CONNECTION_TIME=10
WGET_HOST="services.netcomm.com.au"
WGET_URL="http://services.netcomm.com.au/c/time.pl"
WGET_STR='2[0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9].*<br/>[0-9]\+'
nslookup_by_ping() {
host="$1"
if ping -c 1 "$host" 2>&1 >/dev/null | grep -q "bad address"; then
return 1
fi
return 0
}
... | true |
1d68cf2910a10be0b24f56c6f44c6b2ec92925c2 | Shell | scaleway/docker-machine-driver-scaleway | /scripts/build-dmds-packages.sh | UTF-8 | 1,172 | 3.609375 | 4 | [
"MIT"
] | permissive | #!/usr/bin/env bash
set -eo pipefail
version=$1
if [[ -z "$version" ]]; then
echo "usage: $0 <version>"
exit 1
fi
package="github.com/scaleway/docker-machine-driver-scaleway"
archives=("docker-machine-driver-scaleway-linux-arm/linux_arm/tar.gz" "docker-machine-driver-scaleway-linux-amd64/linux_amd64/tar.gz" "do... | true |
21a0b2198c095d0aa53f8fa1d2ebd0ad54efe9fe | Shell | cristianAmoyao/parches-de-todo-tipo | /Instalar_Flash/flash_instalar_V2.sh | UTF-8 | 851 | 2.8125 | 3 | [] | no_license | #!/bin/bash
#bajo licencia GPL
mkdir $HOME/FLASH
cd FLASH
wget https://fpdownload.adobe.com/pub/flashplayer/pdc/25.0.0.171/flash_player_ppapi_linux.i386.tar.gz
tar xvzf flash_player_ppapi_linux.i386.tar.gz
rm license.pdf;rm readme.txt;rm -r LGPL;rm flash_player_ppapi_linux.i386.tar.gz
#read -p "Primero libpepflashplay... | true |
9a28de4a4651e36040304f9ff038522888ae6e51 | Shell | wiltonruntime/wilton | /resources/builder/builder | UTF-8 | 1,249 | 3.0625 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash
#
# Copyright 2020, alex at staticlibs.net
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or ... | true |
be41368e5cac1c64d202bc359d888279e0fcccbd | Shell | rmukhia/reservationapp | /reservation/server/gunicorn_start.sh | UTF-8 | 848 | 2.71875 | 3 | [] | no_license | NAME="reservation" #Name of the application (*)
DJANGODIR=/app/server/ # Django project directory (*)
SOCKFILE=/app/server/unix.sockfile # we will communicate using this unix socket (*)
DJANGO_SETTINGS_MODULE=reservation.settings # which settings file sh... | true |
2652a1bbbf34380612b586d3ce44112377dc8778 | Shell | amerlyq/airy | /xkb/xkb-xorg.gen | UTF-8 | 710 | 3 | 3 | [
"MIT"
] | permissive | #!/bin/bash -e
source ~/.shell/profile
lang=${CURR_XKB_LANG:-amer(us):1+amer(ru):2+amer(ua):3}
over=${1:-${CURR_XKB_OVER:-vim}}
r.xkb-has-overlay -q ${over:?}
src="${TMPDIR:?}/00-keyboard.conf"
cat> "$src" <<EOT
# vim: ft=xf86conf
# SEE: man xkeyboard-config
Section "InputClass"
Identifier "system-keyboard"
M... | true |
ff542351496ce8f5f823a175627c01c77da8f3f3 | Shell | jdagilliland/eces690-jdag-jdg-final-project | /sam2bam.sh | UTF-8 | 736 | 2.625 | 3 | [] | no_license | #!/bin/bash
#$ -S /bin/bash
#$ -cwd
#$ -M jdg323@drexel.edu
#$ -P nsftuesPrj
#$ -pe openmpi_ib 1
#$ -l h_rt=24:00:00
#$ -l h_vmem=8G
##$ -pe shm 32-64 #for parallel processing
#$ -l mem_free=6G
#$ -q all.q@@amdhosts
# ---- Keep the following
. /etc/profile.d/modules.sh
module load shared
module load proteus
module loa... | true |
41a6bd9f01bbe38ab038182e01f0d40f7952ffd8 | Shell | bextra/txome-pxome-pipeline | /bin/run_trinity_genomeguided_isner.sh | UTF-8 | 890 | 2.96875 | 3 | [] | no_license | #!/bin/bash
# Genome-guided Trinity
# the reads were first aligned to rheMac2
# Trinity will partition according to locus, followed by de novo transcriptome assmebly at each locus
#Read alignments must be supplied as coordinate-sorted bam file.
cd /Chanlab/Scratch/kristen/Macaque_transcriptome/BAMs
#SAMPLE_LIST="$... | true |
79d28b0352ddd0cb327afe7cbac5f90949a97497 | Shell | rhgrant10/dotfiles | /use | UTF-8 | 618 | 4.28125 | 4 | [] | no_license | #!/usr/bin/env bash
# Basic sanity check.
old_dir="${HOME}/dotfiles.old"
if [ -d "$old_dir" ]; then
printf "You already have a dotfile backup directory! Remove it first."
exit 1
fi
# Make the backup dir exist.
mkdir "$old_dir"
# Determine which files need to be put in place.
targets="`find . -maxdepth 1 -typ... | true |
cfb0f77cdc8c5c9fb587c3639492151c8d13a836 | Shell | thbzzz/CocooningFire | /cocooningfire | UTF-8 | 487 | 3.171875 | 3 | [] | no_license | #!/usr/bin/env bash
FIREFOX=`which firefox`
XDOTOOL=`which xdotool`
if [ -z "$FIREFOX" ] || [ -z "$XDOTOOL" ] ; then
echo "you should install firefox and xdotool first"
exit
fi
echo "put your mouse around the center of the screen"
sleep 2
firefox https://www.youtube.com/watch?v=RDfjXj5EGqI &
sleep 10
xdotool sear... | true |
1bf73a1df50216b3647e44ee7876aa19b6924f99 | Shell | Dmiller2599/BFOR206 | /args_lab.sh | UTF-8 | 197 | 3.34375 | 3 | [] | no_license | #! /bin/bash
read -p "Enter Your First Number:" var1
read -p "Enter Your Second Number:" var2
sum=$(( $var1 + $var2))
product=$(( $var1 * $var2))
echo "Sum is: $sum"
echo "Product is: $product"
| true |
5dba463116a3fa67d07be54a5267603a99000287 | Shell | PudgyPoppins/.dotfiles | /install.sh | UTF-8 | 1,231 | 3.1875 | 3 | [] | no_license | #!/bin/bash
BASEDIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"
# vim
ln -sf ${BASEDIR}/.vimrc ~/.vimrc
ln -sf ${BASEDIR}/.vim/ ~/.vim
# zsh
ln -sf ${BASEDIR}/.zshrc ~/.zshrc
ln -sf ${BASEDIR}/.oh-my-zsh/ ~/.oh-my-zsh
ln -sf ${BASEDIR}/.p10k.zsh/ ~/.p10k.zsh
#bash
ln -sf ${BASEDIR}/.bashrc ~/.bashrc
ln -sf ${BA... | true |
6f08bf5e55af820394d9cdea4b4d34d180888843 | Shell | apple/swift-stress-tester | /SwiftEvolve/Utilities/evolve-swiftCore.sh | UTF-8 | 4,404 | 3.953125 | 4 | [
"Swift-exception",
"Apache-2.0"
] | permissive | #!/usr/bin/caffeinate -i /bin/bash
#
# Script to run resilience tests against the Swift standard library.
#
# This is meant to be a temporary driver while we're figuring out the right
# logic, but we all know that temporary things don't stay that way, so if you're
# reading this comment in 2020 feel free to laugh at m... | true |
cb7744f944aa14cca3e475387a507e8e8abf3846 | Shell | fishercera/petulant-avenger | /data_grooming_pipeline/fastqc_func.sh | UTF-8 | 507 | 3.34375 | 3 | [] | no_license | #!/usr/bin/bash
#fastqc command function
# USAGE: fastqcB4 $lib
# function fastqcB4 {
# lib=$1
#
# fastqc -o output/fastqcBEFORE $lib.*.fastq.gz
# }
function fastqcB4 {
lib=$1
echo "Running fastqc on $lib.*.fastq.gz"
fastqc -o output/fastqcBEFORE input/$lib.*.fastq.gz
}
# USAGE: fastqc <lib-base-name>
# function ... | true |
0d4abbfcaa6a30ab64b9780ea7f990d022a1474d | Shell | Kyle-Helmick/Blockparty | /BlockpartyDiscordBot/install.sh | UTF-8 | 152 | 2.609375 | 3 | [] | no_license | #!/bin/bash
if ! command -v docker-compose &> /dev/null
then
echo "docker and docker-compose must be installed"
exit 1
fi
docker-compose up -d | true |
e3714f8f3401e66488d1560f8c6d86c7d4156720 | Shell | bigleuxenchef/ElasticOnDocker | /run_elastic_standalone.sh | UTF-8 | 723 | 2.59375 | 3 | [
"Apache-2.0"
] | permissive | #!/bin/bash -x
# rumi 2018
#launch docker container with all inside the container : data included, data will be deleted as soon as the container exists
docker run --rm --mount source=elastic,target=/usr/share/elasticsearch/data --env NETWORK_HOST=_eth0_ --env ES_JAVA_OPTS="-Xms2G -Xmx2G" --env NODE_NAME=node1 -p 920... | true |
b3d30bb27e8921c438f97a769a991048497de03d | Shell | isliulin/ZKCD | /diff.sh | UTF-8 | 779 | 3.390625 | 3 | [] | no_license | #!/bin/bash
# @file for_diff.sh
# @author ymm
# @brief 比较不同目录下指定文件目录的差异
# @date 2014/2/28 16:18:10
# @History
# 1、2014/2/28 16:18:10 author ymm 初步完成
path_src=/home/user/Desktop/ArkSdk/MPlayer/MPlayer-1.3.0-20170321
path_desc=/home/user/Desktop/ArkSdk/MPlayer/MPlayer-1.3.0
#只比较备份文件中的.cp... | true |
07031f9c1a2034440b04707cc17e228c85f8208a | Shell | sleepyfox97/ft_service | /srcs/nginx/srcs/liveness.sh | UTF-8 | 160 | 2.5625 | 3 | [] | no_license | pgrep nginx
liveness_nginx=$?
if [ $liveness_nginx -ne 0 ]; then
return 1
fi
pgrep telegraf
liveness_nginx=$?
if [ $liveness_nginx -ne 0 ]; then
return 1
fi
| true |
b8b037b5a832316a69d20490590c5adf788db82f | Shell | mk-pmb/minetest-util-pmb | /launcher/launch.sh | UTF-8 | 840 | 3.34375 | 3 | [
"ISC"
] | permissive | #!/bin/bash
# -*- coding: utf-8, tab-width: 2 -*-
function launcher_cli () {
export LANG{,UAGE}=en_US.UTF-8 # make error messages search engine-friendly
local SELFFILE="$(readlink -m -- "$BASH_SOURCE")"
local SELFPATH="$(dirname -- "$SELFFILE")"
local SELFNAME="$(basename -- "$SELFFILE" .sh)"
local INVOKED_... | true |
141bcf1be010c614a42a042a6f5ebf2e95235052 | Shell | truhlikfredy/thinkpadScripts | /cpu_power_switch.sh-t400 | UTF-8 | 645 | 3.1875 | 3 | [] | no_license | #!/bin/sh
status=`cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor`
echo Switching to:
if [ "$status" = "ondemand" ]; then
echo "performance" | tee /sys/devices/system/cpu/cpu*/cpufreq/scaling_governor
xmessage -timeout 1 -nearmouse -center 3-high-performance
fi
if [ "$status" = "powersave" ]; then
... | true |
2b2551764402894c0f72bee704a409afad253773 | Shell | fmartingr/shelfzilla | /rpm/scripts/shelfzilla | UTF-8 | 2,005 | 4.125 | 4 | [] | no_license | #!/bin/sh
#
# Shefzilla Init script Adapted
## Nginx
## FactCGI
#
# chkconfig: - 85 15
#
# Source function library.
. /etc/rc.d/init.d/functions
function check ()
{
error=`echo -e "[\e[0;31mError\e[0m]"`
ok=`echo -e "[\e[0;32mOk\e[0m]"`
if [ $1 != 0 ];then
echo $2": "$error
else
ech... | true |
89280984e3d1ecfb903288f14644af5178e58d29 | Shell | SeniorCtrlPlayer/Linux | /newdeploy.sh | UTF-8 | 3,800 | 3.265625 | 3 | [] | no_license | # color scheme
# ====================================================
# Copyright (C)2019 All rights reserved.
#
# Author : lwk
# Email : 510062390@qq.com
# File Name : newdeploy.sh
# Last Modified : 2019-11-30 15:02
# Describe :
#
# =====================... | true |
47462b96fb82f3dc63418ead8d3b733786b36469 | Shell | millyz/POCache | /pocache-dfs-perf/bin/dfs-perf-collect | UTF-8 | 1,132 | 3.6875 | 4 | [
"BSD-3-Clause",
"CC-BY-2.5",
"EPL-1.0",
"Classpath-exception-2.0",
"LGPL-2.1-only",
"LicenseRef-scancode-other-permissive",
"GCC-exception-3.1",
"GPL-2.0-only",
"Apache-2.0",
"LicenseRef-scancode-public-domain",
"CC-PDDC",
"CC0-1.0",
"CC-BY-3.0",
"CDDL-1.0",
"MIT",
"LicenseRef-scancode... | permissive | #!/usr/bin/env bash
function printUsage {
echo "Usage: dfs-perf-collect <TestCase>"
}
# if less than 1 args specified, show usage
if [ $# -le 0 ]; then
printUsage
exit 1
fi
bin=`cd "$( dirname "$0" )"; pwd`
DEFAULT_PERF_LIBEXEC_DIR="$bin"/../libexec
DFS_PERF_LIBEXEC_DIR=${DFS_PERF_LIBEXEC_DIR:-$DEFAULT_PERF_... | true |
4cf96f8d136d57bcfc31b994f125bd150d713efe | Shell | pirkla/JamfScripts | /UpdateAppVPPToken.sh | UTF-8 | 3,591 | 3.78125 | 4 | [] | no_license | #!/bin/sh
# Migrate all apps assigned to a VPP account in Jamf Pro to another VPP account.
# If any apps do not have licenses on the new VPP account they will not be migrated, and will need to be handled manually.
# see https://github.com/pirkla/JamfScripts/blob/master/UpdateVPPByID.sh to update managed distribution... | true |
9bab7f621a863d6dd6c505ec5bdb8f835a6630ab | Shell | project-chip/connectedhomeip | /third_party/pigweed/update.sh | UTF-8 | 531 | 2.84375 | 3 | [
"Apache-2.0",
"LicenseRef-scancode-warranty-disclaimer"
] | permissive | #!/usr/bin/env bash
# Update the pigweed submodule and the CHIP CIPD manifest.
# Update the submodule.
cd "$(dirname "${BASH_SOURCE[0]}")/repo"
git fetch origin master
git checkout origin/master
# Copy the CIPD manifest but change the Python line so we don't use CIPD
# Python on Linux.
cat pw_env_setup/py/pw_env_setu... | true |
027b1c2adc20fa9a2def3045a684f0c577720ed9 | Shell | cobalt-mirror/bluequartz | /BlueQuartz/5100WG/tags/OSS_1_4/ui/base.mod/glue/etc/rc.d/init.d/skeleton | UTF-8 | 422 | 3.671875 | 4 | [
"BSD-3-Clause-No-Nuclear-Warranty"
] | permissive | #!/bin/sh
#
# skeleton Example file to build /etc/init.d scripts.
#
# Version: @(#) /etc/init.d/skeleton 1.01 26-Oct-1993
#
# Author: Miquel van Smoorenburg, <miquels@drinkel.nl.mugnet.org>
#
# Source function library.
. /etc/rc.d/init.d/functions
# See how we were called.
case "$1" in
start)
touch... | true |
77826469ed5310f94b76c07f270ea48799b603b4 | Shell | tangyibo/some_script | /greenplum/vacuumtab.sh | UTF-8 | 1,067 | 3.53125 | 4 | [] | no_license | #!/bin/bash
############################################
# Function: Greenplum数据库全库vacuum膨胀表
# Author: tang
# Date : 2020-12-07
#
# Usage: sh vacuumtab.sh
#
###########################################
set -e
function log() {
TIME=$(date +"%Y-%m-%d %H:%M:%S")
echo "$TIME $1"
}
if [ "$(whoami)" != 'gpadmin' ]; ... | true |
153a27c708d5482638e49d7de2fbc2868a531020 | Shell | jkwmoore/hpc_intro | /sge/test4 | UTF-8 | 486 | 2.921875 | 3 | [] | no_license | #!/bin/bash
#
#$ -j y
#$ -l h_rt=00:05:00
#
# This script will run the fish-stocks simulation
# for a number of different enforcement limits.
# Modify this script so that as you repeatedly
# run the simulation ( i.e. fish )for a set of
# 'in this case 6' different input enforcement limits.
# you will send the outpu... | true |
581f74330da23b46f8ec49641d5a08004c4a54ee | Shell | uio-bmi/two_step_graph_mapper | /benchmarking/create_roc_plots.sh | UTF-8 | 1,170 | 3.328125 | 3 | [] | no_license | id=builder
threshold=150
mappers=$1
timestamp=$(date +%s)
mkdir $timestamp
echo "Results will end up in directory $timestamp"
echo "correct mq score length unaligned known.nodes known.bp novel.nodes novel.bp is_on_rare_variant aligner" > $timestamp/results.tsv
for mapper in $(echo $mappers| tr "," "\n")
do
ec... | true |
62f24ac7f2117bf2838d1b611c2447298d16ddc4 | Shell | HarryTornado/HCC | /opt/scada/data/reports/bridge/sumTrack.sh | UTF-8 | 2,582 | 3.953125 | 4 | [] | no_license | #!/bin/bash
function usage {
echo "#================================================================================================="
echo "#"
echo "# The track test results would be sumarrised in the file track_test_summary_${date}.txt"
echo "#"
echo "# for each of the interlockings, the summary would include... | true |
4bcbab57d28d59a5fde9922e5b65d6ca5f65d1df | Shell | guildai/issue-resolution | /35-compare-failing-on-imported-runs/recreate | UTF-8 | 1,432 | 3.796875 | 4 | [
"Apache-2.0"
] | permissive | #!/bin/bash
set -eu
BASE=/tmp/guild-issue-35
SYS1=$BASE/sys1
SYS2=$BASE/sys2
if [ -e $BASE ]; then
echo "$BASE exists - delete it first and rerun this script"
fi
cat <<EOF
This script recreates Issue 35 by simulating two systems and an export
of runs from one of the systems to another. After runs are moved, th... | true |
5dccd25935cc898aacefef68d492cbf6727f4620 | Shell | apnex/path | /bash/load.model.sh | UTF-8 | 615 | 3.34375 | 3 | [] | no_license | #!/bin/bash
NODES=$(cat model.json | jq -c '.nodes[]')
PATHS=$(cat model.json | jq -c '.paths[]')
function loadNodes() {
IFS=$'\n'
COUNT=0
for NODE in ${NODES}; do
local GRIDX=$(printf ${NODE} | jq -r '.[0]')
local GRIDY=$(printf ${NODE} | jq -r '.[1]')
./cmd.nodes.create.sh "${GRIDX}:${GRIDY}" "${COUNT}"
... | true |
6c6d35f18a9099a52e4e1bb00db555b6b0d9c6f0 | Shell | jonhawkes/cfc-jenkins-build | /slave/s390x/cfc-auto-deploy-k8s | UTF-8 | 766 | 3.109375 | 3 | [] | no_license | #!/bin/bash
if [ $# != 1 ] ; then
echo "USAGE: cfc-auto-deploy-k8s \$FilePath/DirPath"
exit 255
fi
depolyfiles=$1
podnamespace=$(cat /var/run/secrets/kubernetes.io/serviceaccount/namespace)
kubernetes_service_url="https://$KUBERNETES_SERVICE_HOST:$KUBERNETES_SERVICE_PORT_HTTPS"
token=$(cat /var/run/secrets/kubernete... | true |
cb9ae3024a0233285728d76d520c8329a824efe7 | Shell | glennholloway/ubuntu-unattended | /init.sh | UTF-8 | 1,460 | 3.828125 | 4 | [] | no_license | #!/bin/bash
set -e
spinner()
{
local pid=$1
local delay=0.175
local spinstr='|/-\'
local infotext=$2
tput civis;
while [ "$(ps a | awk '{print $1}' | grep $pid)" ]; do
local temp=${spinstr#?}
printf " [%c] %s" "$spinstr" "$infotext"
local spinstr=$temp${spinstr%"$temp"}
sleep $delay
printf "\b\b\b\b\b... | true |
dab28c8b5377e765a621e1de78600b2136231bdb | Shell | ruarfff/Scripts | /FsUtils/FSUtilsTests/WORKING/report.sh | ISO-8859-13 | 2,770 | 4.34375 | 4 | [] | no_license | #!/bin/bash
# Autho: Ruair O Brien
# 08/02/2013
# Script to iterate through all dtl files in the DTL_FILE_DIR and create seperate reports for each config file in the CONFIGS_DIR
# The reports will be stored in the REPORTS_DIR in the format REPORTS_DIR/DTL_FILE_NAME/CONFIG_FILE_NAME
# User should be sudo
if [[ $UID !=... | true |
b15400416c5b249a55c10ae2a663ae9ff2196cd3 | Shell | NaabZer/.dotfiles | /gui/polybar/get_playtype.sh | UTF-8 | 983 | 3.390625 | 3 | [] | no_license | #!/bin/bash
status=$(playerctl status 2> /dev/null)
youtube=$(playerctl -l | grep youtube)
spotify=$(playerctl -l | grep spotify)
chrome=$(playerctl -l | grep chromium)
# Use different statuses, to have a display order (eg. stopped spotify and playing yt)
if [ ! "$spotify" == "" ]; then
spotstatus=$(playerctl -p "... | true |
38e08aaa305f7c96a9c04502127009d088968792 | Shell | calculuswhiz/config-files | /config/.zshrc | UTF-8 | 5,021 | 2.578125 | 3 | [] | no_license | # Path to your oh-my-zsh installation.
export TERM="xterm-256color"
ZSH=/usr/share/oh-my-zsh/
# Set name of the theme to load.
# Look in ~/.oh-my-zsh/themes/
# Optionally, if you set this to "random", it'll load a random theme each
# time that oh-my-zsh is loaded.
#ZSH_THEME="robbyrussell"
#ZSH_THEME="arrow"
# Uncomm... | true |
0b29b8beee272451cd9134162dde4a14b072d0f4 | Shell | Deedone/polybar | /common/travis/tests.sh | UTF-8 | 275 | 3.453125 | 3 | [
"LicenseRef-scancode-unknown-license-reference",
"MIT"
] | permissive | #!/bin/bash
r=0
make all_unit_tests || exit $?
for test in tests/unit_test.*; do
[ -x "$test" ] || continue
if $test; then
printf "\033[1;32m%s\033[0m\n" "${test##*/} passed"
else
r=1
printf "\033[1;31m%s\033[0m\n" "${test##*/} failed"
fi
done
exit $r
| true |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.